package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstruckLeaveFactoryResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-11 10:32
 * 类描述
 * 修订历史：
 * 日期：2021-09-11
 * 作者：generator
 * 参考：
 * 描述：TmstruckLeaveFactoryResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckLeaveFactoryResultService {

    //查询所有的出厂实绩
    List<Map<String, Object>> getLeaveFactoryResult(Map<String, Object> map);

    //更新出厂实绩 通过运输订单号
    int leaveFactoryByPDA(Map<String, Object> map);

    //查询运输路线是否为可出厂 路段顺序号为 4：已计皮完成
    Integer selectTransportRoute(String orderNumber);


    //新增进厂实绩 派单时新增
    int addLeaveFactory(Map<String,Object> mapValue);

    Map<String, Object> getTruckFactoryResult(String nu);

    // APP查询出厂信息
    List<Map<String, Object>> getLeaveFactoryList(String orderNumber);

    // 查询零星物资出厂列表
    List<Map<String,Object>> getSporadicLeaveFactory(Map<String, Object> mapValue);
}