package com.steerinfo.dil.service;


import com.steerinfo.dil.model.TmstruckEnfactoryResult;

import java.util.List;
import java.util.Map;

/**
 * TmstruckEnfactoryResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-08 06:23
 * 类描述
 * 修订历史：
 * 日期：2021-09-08
 * 作者：generator
 * 参考：
 * 描述：TmstruckEnfactoryResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckEnfactoryResultService{
    //通过订单类型获取进厂实绩
    List<Map<String, Object>> getAllEnFactoryResult(Map<String, Object> map);
    //通过运输订单id查询物资信息
    List<Map<String, Object>> getMaterial(Integer orderId);
    //新增进厂作业
    int addEnFactoryResult(Map<String, Object> map);

    //查找排队序号
    Integer selectNodeNumber(String orderNumber);

    //进厂实绩
    int enFactoryResultByPDA(Map<String, Object> map);

    //
    int enFactoryResultByMJ(Map<String, Object> map);

    // APP查询进厂实绩
    List<Map<String, Object>> getEnfactoryResultList();
    // APP通过运输订单id查询进厂实绩
    List<Map<String, Object>> getEnfactoryMessageByOrderId(String orderNumber);
}